name: Build and Publish Artifact

on:
  push:
    branches:
      - main

jobs:
  build:
    runs-on: ubuntu-latest

    steps:
      - name: Checkout code
      uses: actions/checkout@v2

      - name: Setup go
      uses: actions/setup-go@v5

      - name: Setup Hugo
        uses: peaceiris/actions-hugo@v2
        with:
          hugo-version: '0.122.0'
          extended: true

      - name: Build
        run: hugo --minify

      - name: Archive production artifacts
        uses: actions/upload-artifact@v2
        with:
          name: website
          path: public/